Subject: Re: ARM64_SW_TTBR0_PAN enabled causing hangs on OcteonTX

From: Marc Zyngier <[email-masked]>
Date: Tue, 25 Feb 2020 17:19:42 +0000

On 2020-02-25 17:04, Tim Harvey wrote:
> On Tue, Feb 25, 2020 at 9:00 AM Marc Zyngier <[email-masked]> wrote:
>> 
>> On 2020-02-25 16:35, Robert Richter wrote:
>> > Marc,
>> >
>> > On 25.02.20 16:27:41, Marc Zyngier wrote:
>> >> On 2020-02-25 16:13, Tim Harvey wrote:
>> >
>> >> > That does enable the erratum, disable KPTI and boot properly but I
>> >> > misread the erratum and it shouldn't be needed for T81 pass 1.2... the
>> >> > erratum is documented only needed for pass 1.0.
>> >>
>> >> Can you then remove the patch *and* disable KPTI?
>> >>
>> >> TX1 is broken beyond recognition and KPTI is known to explode on this
>> >> HW
>> >> (which is why we disable KPTI on it). We always attributed it to this
>> >> erratum,
>> >> but in the absence of any help from Cavium to identify the problem, we
>> >> just
>> >> keyed it on that.
>> >>
>> >> *IF* this HW is indeed unaffected by it, then it is probably the mix
>> >> of
>> >> KPTI and SWPAN that triggers the issue. If my suspicion is correct,
>> >> you'll
>> >> need to have a chat with Cavium/Marvell to understand what is
>> >> happening
>> >> there.
>> >
>> > I checked the docs and Tim is right, this should be only visible on
>> > pass 1.0. Thus, the rev range to enable the workaround as implemented
>> > upstream should be ok. I have asked hw folks regarding this.
>> 
>> Then it could well be that our disabling of KPTI on TX1 is keyed on 
>> the
>> wrong
>> erratum. In the absence of a clear explanation of what is going on, we
>> made
>> an educated guess. If oyu're going to find out about what breaks this
>> CPU,
>> it'd be good to understand whether this is the same problem that 
>> affects
>> all
>> the other revisions.
>> 
> 
> Marc,
> 
> What's the right way to disable KPTI for ARM64? It seems 'nopti' and
> 'pti=off' are not honored for arm64?

kpti=0, as documented in 
Documentation/admin-guide/kernel-parameters.txt.

         M.
-- 
Jazz is not dead. It just smells funny...

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel